"""API schema for typist."""

from datetime import datetime
from typing import Optional, Set

try:
    from pydantic.v1 import BaseModel
except ImportError:  # pragma: no cover
    from pydantic import BaseModel  # type: ignore[no-redef, assignment, unused-ignore]


class Template(BaseModel):
    """Template info."""

    name: str
    is_active: bool
    uuid: str
    create_datetime: datetime
    parent: Optional[str] = None
    asset_set: Set[str] = set()


class TemplateCollection(BaseModel):
    """Template collection."""

    name: str
    label: str
    tags: Set[str] = set()
